/* Copyright (C) 1998 Free Software Foundation, Inc.

   This file is part of GNU Motti.

   GNU Motti is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   GNU Motti is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with GNU Motti; see the file COPYING.  If not, write to the
   Free Software Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.  */

#ifndef _XWIN_H

#define _XWIN_H

#define ATT_BUT_MASK 1
#define DEF_BUT_MASK 2
#define GUE_BUT_MASK 4

#define ATT_N 0
#define DEF_N 1
#define GUE_N 2
#define NBUTS 3

/* Note to myself: put these in app-defaults. */
#define ATT_MSG "Attack"
#define DEF_MSG "Defend"
#define GUE_MSG "Guerrilla"
#define Y_MARGIN 10
#define X_MARGIN 10
#define MAPSQUARESIZE 20
#define MINMAPHEIGHT 10

#include "map.h"

typedef struct {
  Coord offset;
  Map map;
} XMapStruct;

extern void drawButton(char);
extern void drawMap(int, int, int, int, XMapStruct);
extern void draw_effects(XMapStruct, Action);
extern Coord win_pos2map_coord(XMapStruct *, int, int);

#endif /* xwin.h  */
